%global npm_name bcrypt-pbkdf

Name: nodejs-bcrypt-pbkdf
Version: 1.0.2
Release: %mkrel 3
Summary: Port of the OpenBSD bcrypt_pbkdf function to pure JS
License: BSD
Group: Development/Other
URL: https://github.com/joyent/node-bcrypt-pbkdf#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(tweetnacl) >= 0.14.3
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep tweetnacl '>=1.0.0'

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CONTRIBUTING.md
%doc README.md


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1521220
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 1.0.2-2.mga7
+ Revision: 1341760
- Fix dep for tweetnacl

* Sun Dec 16 2018 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1341686
- imported package nodejs-bcrypt-pbkdf

